Skip to main content
GET
Get all orders.
Retrieve a list of orders with optional filtering and pagination.

Authorizations

garden-app-id
string
header
required

If you do not yet have an app ID, please follow these steps.

Query Parameters

address
string

(Optional) Filter orders by an address.

tx_hash
string

(Optional) Filter orders by a transaction hash.

from_chain

(Optional) Filter orders by the source chain. Mainnet

Available options:
arbitrum,
ethereum,
bitcoin,
base,
bnbchain,
botanix,
citrea,
hyperevm,
litecoin,
monad,
solana,
starknet,
tron
to_chain

(Optional) Filter orders by the destination chain. Mainnet

Available options:
arbitrum,
ethereum,
bitcoin,
base,
bnbchain,
botanix,
citrea,
hyperevm,
litecoin,
monad,
solana,
starknet,
tron
from_owner
string

(Optional) Filter orders by the source owner. Comma-separated for multiple values.

to_owner
string

(Optional) Filter orders by the destination owner. Comma-separated for multiple values.

solver_id
string

(Optional) Filter orders by a solver ID. Comma-separated for multiple values.

integrator
string

(Optional) Filter orders by an integrator. Comma-separated for multiple values.

page
integer

(Optional) Page number.

per_page
integer

(Optional) Number of items per page.

status
string

(Optional) Filter orders by status. Comma-separated string with allowed values: not-initiated, in-progress, completed, expired, refunded.

Response

200 - application/json

List of orders.

status
enum<string>
Available options:
Ok,
Error
error
string | null
result
object